playerClass <- TF_CLASS_SNIPER;
maxHealth <- 175;

Include("vip_shared/_vip_shared.nut");
Include("vip_civilian/civilian_weapons.nut");
Include("vip_civilian/civilian_offhand.nut");
Include("vip_civilian/julius_soundbank.nut");

foreach(k,v in soundBank)
{
    soundBank[k.tolower()] <- v;
}

PrecacheModel(coin_viewmodel);

OnSelfEvent("post_inventory_application", 0, function()
{
    //self.AddCustomAttribute("dmg taken from fire reduced", 0.8, -1);
    //self.AddCustomAttribute("dmg taken from crit reduced", 0.8, -1);
    self.AddCustomAttribute("damage bonus HIDDEN", 0.54, -1);
    self.AddCustomAttribute("fire rate bonus HIDDEN", 0.625, -1);

    self.SetHealth(175);
    self.SetMaxHealth(175);

    self.Weapon_Switch(EquipWeapon(GetWeaponTypeByName("cane_primary")));
    EquipWeapon(GetWeaponTypeByName("cane_secondary"));
    EquipWeapon(GetWeaponTypeByName("cane_melee"));
    local realCane = EquipWeapon(GetWeaponTypeByName("cane_real"));

    SetPropEntity(realCane, "m_hOwnerEntity", self);
    SetPropEntity(realCane, "m_hOwner", self);
    realCane.SetOwner(self);

    AddTimer(1, function()
    {
        local hp = self.GetHealth();
        local newHP = clampCeiling(self.GetMaxHealth(), hp + 3);
        if (hp > 0 && newHP > hp)
            self.SetHealth(newHP);
    });
});