function SpawnTypewriterBurster()
{
    local fakeTypewriter = Entities.CreateByClassname("tf_weapon_smg");
    SetPropInt(fakeTypewriter, "m_AttributeManager.m_Item.m_iItemDefinitionIndex", 224);
    SetPropBool(fakeTypewriter, "m_AttributeManager.m_Item.m_bInitialized", true);
    SetPropBool(fakeTypewriter, "m_bForcePurgeFixedupStrings", true);
    SetPropEntity(fakeTypewriter, "m_hOwner", self);
    Entities.DispatchSpawn(fakeTypewriter);
    EntFireByHandle(fakeTypewriter, "SetParent", "!activator", -1, self, self);

    fakeTypewriter.AddAttribute("fire rate bonus HIDDEN", 1, 1);
    fakeTypewriter.AddAttribute("weapon spread bonus", 0.6, -1);
    fakeTypewriter.AddAttribute("clip size penalty HIDDEN", 1.22, -1);
    fakeTypewriter.AddAttribute("damage bonus HIDDEN", 2.8, -1);

    local playerScope = self.GetScriptScope();
    playerScope.ShootTypewriterPlayerThink <- ShootTypewriterPlayerThink;
    playerScope.shouldShootFakeTypewriter <- false;
    playerScope.fakeTypewriter <- fakeTypewriter;
    AddThinkToEnt(self, "ShootTypewriterPlayerThink");

    return fakeTypewriter;
}

function ShootTypewriterBurster()
{
    self.GetScriptScope().shouldShootFakeTypewriter = true;
}

function ShootTypewriterPlayerThink()
{
    SetPropFloat(fakeTypewriter, "m_flNextPrimaryAttack", Time() - 1);
    fakeTypewriter.SetClip1(11);
    if (shouldShootFakeTypewriter)
    {
        fakeTypewriter.PrimaryAttack();
        shouldShootFakeTypewriter = false;
    }
    return -1;
}
