function HandleSpyVoiceLine(player, soundName)
{
    local target = TraceTarget(player);
    if (IsVIP(target))
        return target.GetPlayerClass() == TF_CLASS_SNIPER ? "spy_julius" : "spy_mobster";
    return soundName;
}

OnGameEvent("vip_death", 0, function(player, params)
{
    local attacker = GetPlayerFromParams(params, "attacker");
    if (attacker)
        BuildSound("vip_").Scope(this).Entity(self).Voice().Play();
});

TraceTarget <- function(player)
{
    local trace = {
        start = player.EyePosition(),
        end = player.EyePosition() + player.GetForwardVector() * 1000,
        //hullmin = Vector(-32, -32, -5),
        //hullmax = Vector(32, 32, 5),
        hullmin = Vector(-2, -2, -2),
        hullmax = Vector(2, 2, 2),
        mask = CONTENTS_SOLID|CONTENTS_MOVEABLE|CONTENTS_OPAQUE|CONTENTS_MONSTER|CONTENTS_IGNORE_NODRAW_OPAQUE|CONTENTS_GRATE|CONTENTS_WINDOW|CONTENTS_MONSTERCLIP
        ignore = player
    };
    TraceHull(trace);

    return safeget(trace, "enthit", null);
}